function Effects07 ( timeScene )	
	currentMult.Effect07.Altar.x = 250
	currentMult.Effect07.Altar.y = 210
end

local doAnim = false

function Visual_7 (timeScene, Relax, Destroid, Pause)

	if timeScene <= 1 - Pause then   					
	--if timeScene <= 1 - Destroid-Pause then   					
	--	local T = ease(timeScene/(1- Destroid -Pause), 0, Relax)						
		local T = ease(timeScene/(1 -Pause), 0, Relax)						
		
		currentMult.Scene7.BackGroundMax2.x     = lerp(260, 260, T)
		currentMult.Scene7.BackGroundMax2.y     = lerp(170,150, T)
		currentMult.Scene7.BackGroundMax2.scale = lerp(0.6, 1, T)
		
		currentMult.Scene7.BackGroundMax1.x     = lerp(252, 247, T)
		currentMult.Scene7.BackGroundMax1.y     = lerp(205, 207, T)
		currentMult.Scene7.BackGroundMax1.scale = lerp(0.6, 1, T)		
		
		currentMult.Scene7.Arc.x                = lerp(320, 380, T)
		currentMult.Scene7.Arc.y                = lerp(130, 90, T)
		currentMult.Scene7.Arc.scale            = lerp(1, 2, T)
		
		currentMult.Scene7.Shadow.x             = lerp(243, 230, T)
		currentMult.Scene7.Shadow.y             = lerp(200, 230, T)
		currentMult.Scene7.Shadow.scale         = lerp(1, 2, T)
		currentMult.Scene7.Shadow.color         = Color(255, 255, 255,0)-- lerp(150, 0, T))
		
		currentMult.Scene7.RockRight.x          = lerp(302, 400, T)
		currentMult.Scene7.RockRight.y          = lerp(100, -100, T)
		currentMult.Scene7.RockRight.scale      = lerp(1, 2, T)
		
		currentMult.Scene7.RockLeft.x           = lerp(190,-500, T)
		currentMult.Scene7.RockLeft.y           = lerp(150, -150, T)
		currentMult.Scene7.RockLeft.scale       = lerp(1, 2, T)
		currentMult.Scene7.Symbol.x     = 254
		currentMult.Scene7.Symbol.y     = lerp(210, 230, T)
		currentMult.Scene7.Symbol.scale = lerp(1, 1.8, T)	
		
		currentMult.Scene7.BackGroundMax1.color = Color(255, 255, 255, 255)                                      		
		
		
		
		if not DoAnim and timeScene >= 0.4 then
			currentMult.Effect07.layer.isVisible = true
			DoAnim = true
			currentMult.Effect07.Altar:Do("Reset")	
		elseif timeScene < 0.4 then 
			DoAnim = false
		end
		
		Effects07 ( timeScene )			
		
		if  1 - Destroid <= timeScene+Pause and  timeScene+Pause < 1 then
--	elseif  1 - Destroid <= timeScene+Pause and  timeScene+Pause < 1 then
			local Ts = (timeScene + Pause - 1)/Destroid + 1		
			currentMult.Scene7.Symbol.color = Color(255, 255, 255, lerp( 255, 0, Ts))
			currentMult.Scene7.Symbol.scale = lerp(lerp(1, 1.8, 1-Destroid/(1-Pause)), 0, Ts)				
			currentMult.Scene7.BackGroundMax1.color = Color(255, 255, 255, lerp(255, 0, Ts))                                      		
			Effects07 ( timeScene )				
		else
			currentMult.Scene7.Symbol.scale = lerp(1, 1.8, T)	
			currentMult.Scene7.Symbol.color = Color(255, 255, 255, 255)
		end
	end
end

function SymbolAnim_2 (timeScene)	
end     

function Scene7Show()
	currentMult.Scene7.layer.isVisible = true
	currentMult.Effect07.Altar:Do ("Reset")
end 
function Scene7Hide()
	currentMult.Scene7.layer.isVisible = false
	currentMult.Effect07.Altar:Do ("Finish")
end 